# HSKTASK -- Set parameters for skyproc versions of IRAF tasks, save old values
# By Doug Mink, SAO/TDC
# August 27, 2007

procedure hsktask (task)

string	task = ""	{prompt="IRAF task to set from sk$task parameters"}
file oldpars = ""	{prompt="File to save original parameters to restore"}
bool deltemp = yes	{prompt="Delete temporary files (y or n)"}
bool verbose = no	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Print new parameter values (y or n)"}

begin
	bool vb, db, dt
	string newtask, pvar,peq,pval
	file tempfile, tempfile1

	vb = verbose
	db = debug
	dt = deltemp

# Save old parameters of TASK in specified file
	tempfile = mktemp ("skpars")
	if (!access (oldpars)) {
	    oldpars = mktemp ("oldpars")
	    dpar (task, >oldpars)
	    }
	else {
	    dpar (task, >>oldpars)
	    }
	if (debug) {
	    print (task," parameters before:")
	    dpar (task)
	    }

# HSKYPROC task is "sk"task
	newtask = "sk" // task
	dpar (newtask, >tempfile)
	if (debug) {
	    print (newtask," parameters:")
	    dpar (newtask)
	    }

# Read parameters from sk*task; strip first two characters
	tempfile1 = mktemp ("newpars")
	list = tempfile
	while (fscanf (list,"%s %s %s",pvar,peq,pval) != EOF) {
	    if (pvar != "#") {
		if (pval == "")
		    pval = "\"\""
		print (substr(pvar,3,100),peq,pval, >>tempfile1)
		}
	}
	print ("# EOF", >>tempfile1)

# Assign parameters in specified task
	cl (<tempfile1)
	if (debug) {
	    print (task," parameters after:")
	    dpar (task)
	    }

	if (vb) {
	    print ("HSKTASK: ",newtask, " parameters -> ", task)
	    }

# Delete temporary files
	if (dt) {
	    delete (tempfile)
	    delete (tempfile1)
	    }
end

# Aug 27 2007	New task
