# MKXCTEMP - Make a list of segments of a calibration file for cross-correlation
#            with XCSAO

procedure mkxctemp (template)

file	template	{prompt="Template spectrum file"}

file	templist=""	{prompt="File to which to write list of segments"}
int	firstpix=150	{prompt="Number of first pixel to correlate"}
int	lastpix=4150	{prompt="Number of last pixel to correlate"}
int	npix=200	{prompt="Number of pixels to correlate"}
int	intpix=100	{prompt="Interval between correlation centers in pixels"}

begin
	string tempseg
	file listfile
	int i, i1, i2, istart, ifinish, idel, np

	listfile = templist
	istart = firstpix
	ifinish = lastpix
	idel = intpix
	np = npix
	for (i1 = istart; i1 <= ifinish; i1 = i1 + idel) {
	    i2 = i1 + np
	    tempseg = template // ":" // i1 // "-" // i2
	    if (listfile == "") {
		print (tempseg)
		}
	    else {
		print (tempseg,  >> listfile)
		}
	    }
end
